## ros-rolling-rmw-cyclonedds-cpp 1.1.2

=== CMakeLists.txt ===
# Copyright 2018 ADLINK Technology Limited.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 3.5)

project(rmw_cyclonedds_cpp)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic -Wimplicit-fallthrough)
endif()

find_package(ament_cmake_ros REQUIRED)

find_package(rcutils REQUIRED)
find_package(rcpputils REQUIRED)
find_package(tracetools REQUIRED)

#find_package(cyclonedds_cmake_module REQUIRED)
find_package(CycloneDDS QUIET CONFIG)
if(NOT CycloneDDS_FOUND)
  message(WARNING "Could not find Eclipse Cyclone DDS - skipping '${PROJECT_NAME}'")
  ament_package()
  return()
endif()

find_package(rmw REQUIRED)
find_package(rmw_dds_common REQUIRED)
find_package(rosidl_runtime_c REQUIRED)
find_package(rosidl_typesupport_introspection_c REQUIRED)
find_package(rosidl_typesupport_introspection_cpp REQUIRED)

ament_export_dependencies(rcutils)
ament_export_dependencies(rcpputils)
ament_export_dependencies(rmw)
ament_export_dependencies(rosidl_runtime_c)
ament_export_dependencies(rmw_dds_common)
ament_export_dependencies(rosidl_typesupport_introspection_c)
ament_export_dependencies(rosidl_typesupport_introspection_cpp)

add_library(rmw_cyclonedds_cpp
  src/rmw_get_network_flow_endpoints.cpp
  src/rmw_node.cpp
  src/serdata.cpp
  src/serdes.cpp
  src/u16string.cpp
  src/exception.cpp
  src/demangle.cpp
  src/deserialization_exception.cpp
  src/Serialization.cpp
  src/TypeSupport2.cpp
  src/TypeSupport.cpp)

target_link_libraries(rmw_cyclonedds_cpp PRIVATE
  CycloneDDS::ddsc)

target_link_libraries(rmw_cyclonedds_cpp PUBLIC
  rmw::rmw)
target_link_libraries(rmw_cyclonedds_cpp PRIVATE
  rcutils::rcutils
  rcpputils::rcpputils
  rosidl_typesupport_introspection_c::rosidl_typesupport_introspection_c
  rosidl_typesupport_introspection_cpp::rosidl_typesupport_introspection_cpp
  ${rmw_dds_common_TARGETS}
  rosidl_runtime_c::rosidl_runtime_c
  tracetools::tracetools)

if(CMAKE_GENERATOR_PLATFORM)
  set(TARGET_ARCH "${CMAKE_GENERATOR_PLATFORM}")
else()
  set(TARGET_ARCH "${CMAKE_SYSTEM_PROCESSOR}")
endif()

if(CMAKE_COMPILER_IS_GNUCXX AND TARGET_ARCH MATCHES "^(riscv|RISCV)64$")
  # using GCC, libatomic is not automatically linked for RISC-V
  target_link_libraries(rmw_cyclonedds_cpp PUBLIC -latomic)
endif()

configure_rmw_library(rmw_cyclonedds_cpp)

target_compile_definitions(${PROJECT_NAME}
  PRIVATE
    RMW_VERSION_MAJOR=${rmw_VERSION_MAJOR}
    RMW_VERSION_MINOR=${rmw_VERSION_MINOR}
    RMW_VERSION_PATCH=${rmw_VERSION_PATCH}
)

ament_export_targets(export_rmw_cyclonedds_cpp)

register_rmw_implementation(
  "c:rosidl_typesupport_c:rosidl_typesupport_introspection_c"
  "cpp:rosidl_typesupport_cpp:rosidl_typesupport_introspection_cpp")

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

install(
  TARGETS rmw_cyclonedds_cpp
  EXPORT export_rmw_cyclonedds_cpp
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

include(cmake/get_rmw_cyclonedds_output_filter.cmake)
get_rmw_cyclonedds_output_filter(rmw_cyclonedds_output_patterns)
ament_index_register_resource("rmw_output_patterns" CONTENT "${rmw_cyclonedds_output_patterns}")

=== debian/changelog ===
ros-rolling-rmw-cyclonedds-cpp (1.1.2-1focal) focal; urgency=high

  * Fix cpplint errors (#363 <https://github.com/ros2/rmw_cyclonedds/issues/363>)
  * Contributors: Jacob Perron

 -- Erik Boasson <erik.boasson@adlinktech.com>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (1.1.1-1focal) focal; urgency=high

  * Updates for uncrustify 0.72 (#358 <https://github.com/ros2/rmw_cyclonedds/issues/358>)
  * Export only rmw::rmw to downstream targets (#360 <https://github.com/ros2/rmw_cyclonedds/issues/360>)
  * Export modern CMake targets (#357 <https://github.com/ros2/rmw_cyclonedds/issues/357>)
  * Free with the same allocator in rmw_destroy_node (#355 <https://github.com/ros2/rmw_cyclonedds/issues/355>)
  * Contributors: Chris Lalancette, Jacob Perron, Shane Loretz

 -- Erik Boasson <erik.boasson@adlinktech.com>  Fri, 17 Dec 2021 08:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (1.1.0-1focal) focal; urgency=high

  * Add client/service QoS getters. (#343 <https://github.com/ros2/rmw_cyclonedds/issues/343>)
  * Updated version number and quality level. (#349 <https://github.com/ros2/rmw_cyclonedds/issues/349>)
  * Update package maintainers. (#351 <https://github.com/ros2/rmw_cyclonedds/issues/351>)
  * Contributors: Joe Speed, Michel Hidalgo, mauropasse

 -- Erik Boasson <erik.boasson@adlinktech.com>  Fri, 19 Nov 2021 08:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (1.0.0-1focal) focal; urgency=high

  * Fix undesired memory initialization in zero-copy data path. (#348 <https://github.com/ros2/rmw_cyclonedds/issues/348>)
  * Fix QoS depth settings for clients/service being ignored. (#340 <https://github.com/ros2/rmw_cyclonedds/issues/340>)
  * Link to Cyclone DDS in Quality Declaration. (#342 <https://github.com/ros2/rmw_cyclonedds/issues/342>)
  * Contributors: Chen Lihui, Erik Boasson, Joe Speed, Sumanth Nirmal

 -- Erik Boasson <erik.boasson@adlinktech.com>  Mon, 25 Oct 2021 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.24.0-1focal) focal; urgency=high

  * Update rmw_context_impl_t definition (#337 <https://github.com/ros2/rmw_cyclonedds/issues/337>)
  * Add quality declaration for rmw_cyclonedds_cpp (#335 <https://github.com/ros2/rmw_cyclonedds/issues/335>)
  * Fix use of deprecated is_loan_available (#336 <https://github.com/ros2/rmw_cyclonedds/issues/336>)
  * Add -latomic for RISC-V (#332 <https://github.com/ros2/rmw_cyclonedds/issues/332>)
  * Add pub/sub init, publish and take instrumentation using tracetools (#329 <https://github.com/ros2/rmw_cyclonedds/issues/329>)
  * Pass the CRL down to CycloneDDS if it exists (#325 <https://github.com/ros2/rmw_cyclonedds/issues/325>)
  * Use the new rmw_dds_common::get_security_files API (#323 <https://github.com/ros2/rmw_cyclonedds/issues/323>)
  * Contributors: Chris Lalancette, Christophe Bedard, Michel Hidalgo, eboasson, guillaume-pais-siemens

 -- Erik Boasson <erik.boasson@adlinktech.com>  Wed, 15 Sep 2021 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.23.1-1focal) focal; urgency=high

  * Add rmw_publisher_wait_for_all_acked support. (#294 <https://github.com/ros2/rmw_cyclonedds/issues/294>)
  * Contributors: Barry Xu

 -- Erik Boasson <erik.boasson@adlinktech.com>  Wed, 16 Jun 2021 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.23.0-1focal) focal; urgency=high

  * Fix zero copy issues. (#309 <https://github.com/ros2/rmw_cyclonedds/issues/309>)
  * Handle allocation errors during message deserialization. (#313 <https://github.com/ros2/rmw_cyclonedds/issues/313>)
  * Update includes after rcutils/get_env.h deprecation. (#312 <https://github.com/ros2/rmw_cyclonedds/issues/312>)
  * Contributors: Christophe Bedard, Michel Hidalgo, Sumanth Nirmal

 -- Erik Boasson <erik.boasson@adlinktech.com>  Mon, 07 Jun 2021 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.22.2-1focal) focal; urgency=high

  * Fix the history depth for KEEP_ALL. (#305 <https://github.com/ros2/rmw_cyclonedds/issues/305>)
  * Contributors: Chris Lalancette

 -- Erik Boasson <erik.boasson@adlinktech.com>  Mon, 26 Apr 2021 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.22.1-1focal) focal; urgency=high

  * Use the macros from Cyclone DDS to work with sample payload when using SHM (#300 <https://github.com/ros2/rmw_cyclonedds/issues/300>)
  * Contributors: Sumanth Nirmal

 -- Erik Boasson <erik.boasson@adlinktech.com>  Mon, 12 Apr 2021 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.22.0-1focal) focal; urgency=high

  * Add loaned sample zero-copy API support (#297 <https://github.com/ros2/rmw_cyclonedds/issues/297>)
  * Contributors: Sumanth Nirmal

 -- Erik Boasson <erik.boasson@adlinktech.com>  Wed, 07 Apr 2021 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.21.0-1focal) focal; urgency=high

  * Indicate missing support for unique network flows (#282 <https://github.com/ros2/rmw_cyclonedds/issues/282>)
  * Contributors: Ananya Muddukrishna

 -- Erik Boasson <erik.boasson@adlinktech.com>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.20.0-1focal) focal; urgency=high

  * Take and return new RMW_DURATION_INFINITE correctly (#288 <https://github.com/ros2/rmw_cyclonedds/issues/288>)
  * Contributors: Emerson Knapp

 -- Erik Boasson <erik.boasson@adlinktech.com>  Thu, 18 Mar 2021 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.19.0-1focal) focal; urgency=high

  * Add RMW function to check QoS compatibility (#286 <https://github.com/ros2/rmw_cyclonedds/issues/286>)
  * Contributors: Jacob Perron

 -- Erik Boasson <erik.boasson@adlinktech.com>  Mon, 01 Mar 2021 08:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.18.4-1focal) focal; urgency=high

  * Fix use-after-free in error handling bug
  * Drop compatibility with ancient cyclone versions
  * Update to use Cyclone's renamed ddsi_sertype
  * Use init-on-first-use for global state (#275 <https://github.com/ros2/rmw_cyclonedds/issues/275>)
  * Make sure to reset the error when a typesupport can't be found.


=== debian/control ===
Source: ros-rolling-rmw-cyclonedds-cpp
Section: misc
Priority: optional
Maintainer: Erik Boasson <erik.boasson@adlinktech.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake-ros, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-cyclonedds, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-rmw, ros-rolling-rmw-dds-common, ros-rolling-rosidl-runtime-c, ros-rolling-rosidl-typesupport-introspection-c, ros-rolling-rosidl-typesupport-introspection-cpp, ros-rolling-tracetools, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rmw-cyclonedds-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-cyclonedds, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-rmw, ros-rolling-rmw-dds-common, ros-rolling-rosidl-runtime-c, ros-rolling-rosidl-typesupport-introspection-c, ros-rolling-rosidl-typesupport-introspection-cpp, ros-rolling-tracetools, ros-rolling-ros-workspace
Description: Implement the ROS middleware interface using Eclipse CycloneDDS in C++.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rmw-cyclonedds-cpp//opt/ros/rolling/lib/:$(CURDIR)/debian/ros-rolling-rmw-cyclonedds-cpp//opt/ros/rolling/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)/:/opt/ros/rolling/lib/:/opt/ros/rolling/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-rmw-cyclonedds-cpp 1.9.0

=== debian/changelog ===
ros-rolling-rmw-cyclonedds-cpp (1.9.0-1jammy) jammy; urgency=high

  * Clear out errors once we have handled them. (#464 <https://github.com/ros2/rmw_cyclonedds/issues/464>)
  * Instrument loaned message publication code path
  * Contributors: Chris Lalancette, Christophe Bedard

 -- Erik Boasson <erik.boasson@adlinktech.com>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (1.8.0-1jammy) jammy; urgency=high

  * Use TRACETOOLS_ prefix for tracepoint-related macros (#450 <https://github.com/ros2/rmw_cyclonedds/issues/450>)
  * Contributors: Christophe Bedard

 -- Erik Boasson <erik.boasson@adlinktech.com>  Mon, 12 Jun 2023 00:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (1.7.0-1jammy) jammy; urgency=high



 -- Erik Boasson <erik.boasson@adlinktech.com>  Thu, 27 Apr 2023 00:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (1.6.0-1jammy) jammy; urgency=high

  * Dynamic Subscription (BONUS: Allocators): rmw_cyclonedds (#451 <https://github.com/ros2/rmw_cyclonedds/issues/451>)
  * Add stubs for new rmw interfaces (#447 <https://github.com/ros2/rmw_cyclonedds/issues/447>)
  * [rmw_cyclonedds] Improve handling of dynamic discovery (#429 <https://github.com/ros2/rmw_cyclonedds/issues/429>)
  * Call get_type_hash_func (#448 <https://github.com/ros2/rmw_cyclonedds/issues/448>)
  * Type hash distribution in discovery (rep2011) (#437 <https://github.com/ros2/rmw_cyclonedds/issues/437>)
  * Disable inconsistent topic events. (#444 <https://github.com/ros2/rmw_cyclonedds/issues/444>)
  * Implement matched event (#435 <https://github.com/ros2/rmw_cyclonedds/issues/435>)
  * Implement inconsistent topic. (#431 <https://github.com/ros2/rmw_cyclonedds/issues/431>)
  * Contributors: Barry Xu, Chris Lalancette, Emerson Knapp, Geoffrey Biggs, methylDragon

 -- Erik Boasson <erik.boasson@adlinktech.com>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (1.5.1-1jammy) jammy; urgency=high

  * Make sure to add semicolons to the CHECK_TYPE_IDENTIFIER_MATCH. (#432 <https://github.com/ros2/rmw_cyclonedds/issues/432>)
  * [rolling] Update maintainers - 2022-11-07 (#428 <https://github.com/ros2/rmw_cyclonedds/issues/428>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Erik Boasson <erik.boasson@adlinktech.com>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (1.5.0-1jammy) jammy; urgency=high

  * Export CycloneDDS dependency (#424 <https://github.com/ros2/rmw_cyclonedds/issues/424>)
  * add NULL check before accessing object. (#423 <https://github.com/ros2/rmw_cyclonedds/issues/423>)
  * Add rmw_get_gid_for_client impl (#402 <https://github.com/ros2/rmw_cyclonedds/issues/402>)
  * Makes topic_name a const ref
  * Adds topic name to error msg when create_topic fails
  * Contributors: Brian, Shane Loretz, Tomoya Fujita, Tully Foote, Voldivh

 -- Erik Boasson <erik.boasson@adlinktech.com>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (1.4.1-1jammy) jammy; urgency=high

  * Improve error message when create_topic fails (#405 <https://github.com/ros2/rmw_cyclonedds/issues/405>)
  * Change wrong use of %d to print uint32_t to PRIu32 (#253 <https://github.com/ros2/rmw_cyclonedds/issues/253>)
  * Add cstring include. (#393 <https://github.com/ros2/rmw_cyclonedds/issues/393>)
  * Contributors: Chris Lalancette, Shane Loretz, eboasson

 -- Erik Boasson <erik.boasson@adlinktech.com>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (1.4.0-1jammy) jammy; urgency=high

  * Handle 'best_available' QoS policies (#389 <https://github.com/ros2/rmw_cyclonedds/issues/389>)
  * Contributors: Jose Luis Rivero

 -- Erik Boasson <erik.boasson@adlinktech.com>  Tue, 03 May 2022 00:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (1.3.3-1jammy) jammy; urgency=high

  * Fix get_topic_name and handling long service names
  * Contributors: Erik Boasson

 -- Erik Boasson <erik.boasson@adlinktech.com>  Wed, 06 Apr 2022 00:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (1.3.2-1jammy) jammy; urgency=high

  * Add serialization for SDK_DATA
  * Additional checks for loan API
  * Contributors: Dietrich Krönke

 -- Erik Boasson <erik.boasson@adlinktech.com>  Tue, 05 Apr 2022 00:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (1.3.1-1jammy) jammy; urgency=high

  * Depend on just rmw_dds_common::rmw_dds_common_library (#385 <https://github.com/ros2/rmw_cyclonedds/issues/385>)
  * Contributors: Shane Loretz

 -- Erik Boasson <erik.boasson@adlinktech.com>  Thu, 31 Mar 2022 00:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (1.3.0-1jammy) jammy; urgency=high

  * Fix error message in rmw_init_options_copy(). (#380 <https://github.com/ros2/rmw_cyclonedds/issues/380>)
  * Add content filter topic feature empty stub. (#289 <https://github.com/ros2/rmw_cyclonedds/issues/289>)
  * Update to work with Cyclone 0.9.0 and Iceoryx 2.0 (#379 <https://github.com/ros2/rmw_cyclonedds/issues/379>)
  * Fill message info sequence numbers as unsupported, add rmw_feature_supported() implementation. (#381 <https://github.com/ros2/rmw_cyclonedds/issues/381>)
  * Contributors: Chen Lihui, Haowei Wen, Ivan Santiago Paunovic, Sumanth Nirmal

 -- Erik Boasson <erik.boasson@adlinktech.com>  Fri, 25 Mar 2022 00:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (1.2.0-1jammy) jammy; urgency=high

  * Fix a warning by making a pointer nullptr. (#375 <https://github.com/ros2/rmw_cyclonedds/issues/375>)
  * Bump QDs to QL2 (#371 <https://github.com/ros2/rmw_cyclonedds/issues/371>)
  * Add EventsExecutor (#256 <https://github.com/ros2/rmw_cyclonedds/issues/256>)
  * Call dissociate_reader in rmw_destroy_subscription
  * Wrap creation of new serdata_rmw within a try-catch block
  * Fix memory leak in error scenario on the publish side with SHM
  * Fix memory leaks on the take side with SHM
  * rename _cyclonedds_has_shm to follow the convention
  * Add iceoryx_binding_c as dependency to rmw_cyclonedds_cpp
  * Release iox_chunk to iceoryx in serdata_free if the iox_chunk is still available


=== debian/control ===
Source: ros-rolling-rmw-cyclonedds-cpp
Section: misc
Priority: optional
Maintainer: Erik Boasson <erik.boasson@adlinktech.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake-ros, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-cyclonedds, ros-rolling-iceoryx-binding-c, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-rmw, ros-rolling-rmw-dds-common, ros-rolling-rosidl-runtime-c, ros-rolling-rosidl-typesupport-introspection-c, ros-rolling-rosidl-typesupport-introspection-cpp, ros-rolling-tracetools, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rmw-cyclonedds-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-cyclonedds, ros-rolling-iceoryx-binding-c, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-rmw, ros-rolling-rmw-dds-common, ros-rolling-rosidl-runtime-c, ros-rolling-rosidl-typesupport-introspection-c, ros-rolling-rosidl-typesupport-introspection-cpp, ros-rolling-tracetools, ros-rolling-ros-workspace
Description: Implement the ROS middleware interface using Eclipse CycloneDDS in C++.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -51,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rmw-cyclonedds-cpp//opt/ros/rolling/lib/:$(CURDIR)/debian/ros-rolling-rmw-cyclonedds-cpp//opt/ros/rolling/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)/:/opt/ros/rolling/lib/:/opt/ros/rolling/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rmw-cyclonedds-cpp//opt/ros/rolling/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
